=== Frisbo eFulfillment ===
Tags: woocommerce, e-fulfillment, fulfillment
Requires at least: 4.6
Tested up to: 5.9
Stable tag: 4.3
Requires PHP: 7.1
License: GPLv2
License URI: <https://www.gnu.org/licenses/gpl-2.0.html>

== Description ==

- We take over your online store’s logistics: storage, pick & pack, invoicing and delivery
- Our platform provides you with real time reports on stock, orders, deliveries and invoices for the processed orders
- You can concentrate on the activities that grow your business: marketing and sales
- We offer you speed, flexibility and time for expanding your business
- The pricing system is scalable, tailored to your business’ size, depending on the number of processed orders or the amount of stored products
- Frisbo is easy, plug-and-play and fully automated
- We cover your fulfillment needs for Central Eastern Europe in more than ten countries.

== Installation ==

Please use your Frisbo app user and password to connect this plugin to your Frisbo account. If you do not already have these credentials, please contact us at frisbo@frisbo.ro and we will configure your account in no time.

To install our plug-in follow these steps:

1. After adding our plugin to your website, a Frisbo section will appear in the menu on the left side of your dashboard.
2. Fill in your **Frisbo user and password** and click **Save&Connect**. If the connection is successful, your company details will be imported into this section automatically. The **Automatic Fulfillment** field should be checked, so that every order is synchronised with Frisbo when it enters your store.
3. From your store, you must define the SKU code and product attributes (size in cm and weight in kg) for each product.
4. Next, sync all your products by clicking the **PRODUCTS** button and clicking **Sync all products with Frisbo** ( or by selecting only certain products and selecting Sync products with Frisbo from Bulk Actions)
5. After syncing your products, you can check their status (synced / not synced) in the **Inventory status** column. If they are not synced, you can check what is missing in the **Reason** column.
6. After syncing your products, send us an email at frisbo@frisbo.ro so we can upload the **Material receipt** from your designated warehouse.
7. When the Material receipt is uploaded, your orders will be synced automatically and you can check their status in the **Orders** section, in the **Fulfillment Status** column. If some orders are not synced, you can see why in the **Reason** column or sync them manually by clicking on the button with a truck icon.

== Changelog ==

= 2.1.9 =

- Fix sameday plugin conflict.
- Add custom addres fields setting.

= 2.1.8 =

- Fix polylang conflict.
- Fix order status update.

= 2.1.7 =

- Bug fixing

= 2.1.6 =

- Bug fixing

= 2.1.5 =

- Bug fixing

= 2.1.4 =

- Added new cron for syncing products stock

= 2.1.3 =

- On canceled move order to status setting
- On returned move order to status setting

= 2.1.2 =

- Add returned and canceled statuses

= 2.1.1 =

- Fix svn missing files

= 2.1.0 =

- Fix conflict with guzzle package

= 2.0.13 =

- Fix plugin version deploy issue

= 2.0.12 =

- Fix bug where county code was used instead of county name
- Fix bug where country code was used instead of country name

= 2.0.11 =

- Add setting to move order to status on shipped
- Add setting to use billing customer data for shipping on payment methods
- Add setting to mark order as manual

= 2.0.10 =

- Mark order as complete after adding shipping information

= 2.0.9 =

- Fix bug causing woocommerce sidebar menu item to dissapear

= 2.0.8 =

- Add shipping phone from billing phone if missing

= 2.0.7 =

- Add shipping name courier setting

= 2.0.6 =

- Fix orders that have city or county missing

= 2.0.5 =

- Fix bug that marked completed orders, completed.

= 2.0.4 =

- Cleanup subversion repository
- Update plugin version in admin UI

= 2.0.3 =

- Fix subversion bug

= 2.0.2 =

- Update plugin support to php >= 7.1

= 2.0.1 =

- Rollback to version 1.7.4

= 2.0.0 =

- Plugin settings UI upgrade
- Implement Frisbo SDK
- Refactor and clean the code

= 1.7.4 =

- Added courier name when sending order
- Fixed order sync when using custom order numbers

= 1.7.3 =

- Send packeta locker info to Frisbo

= 1.7.2 =

- Fix frontend position of product and order status icons

= 1.7.1 =

- Fix bug when saving plugin preferences

= 1.7.0 =

- Add more descriptive status columns for products and orders
- If user has access to multiple organizations they can choose which one to be used
- When order is cancelled in Woocommerce it will be cancelled also in Frisbo
- Fixed bug that prevented product sync for newly added variations

= 1.6.15 =

- Add support for WOOCS currency switcher

= 1.6.14 =

- Add Frisbo plugin version to the botton of the Frisbo plugin page

= 1.6.13 =

- Fix stock sync when wordpress has other filter altering plugins enabled

= 1.6.12 =

- Fix frisbo icon to the plugin menu

= 1.6.11 =

- Add frisbo icon to the plugin menu

= 1.6.10 =

- Mapped the registration_number on vat_registration_number field

= 1.6.9 =

- Include order meta when searching for custom trade registration number

= 1.6.8 =

- Add order custom trade registration number

= 1.6.7 =

- Add custom ean field

= 1.6.6 =

- Add virtual-bundle setting

= 1.6.5 =

- Formated prices correctly

= 1.6.4 =

- Add plugin css file

= 1.6.3 =

- Fix minor bug on order shipping tax
- Add settings tooltips

= 1.6.2 =

- Added "." on billing last_name field if missing

= 1.6.1 =

- Added "." on last_name field if missing

= 1.6.0 =

- improved order sync
- improved preferences settings and login
- fixed missing clientId error

= 1.5.30 =

- Add order fees as product line

= 1.5.29 =

- Skip marking bundle products as virtual

= 1.5.28 =

- Fix bug when saving warehouses in settings

= 1.5.27 =

- Sync completed orders when click "Sync status"

= 1.5.26 =

- Fix product sync for duplicated products

= 1.5.25 =

- Test plugin for wordpress version 5.6

= 1.5.24 =

- Remove product update

= 1.5.23 =

- Fixed stock sync on product variations

= 1.5.22 =

- Added order reference prefix field in settings page

= 1.5.21 =

- Fix bug on products stock sync

= 1.5.20 =

- Add support for product bundle

= 1.5.19 =

- Fix bug for product variation sync bulk

= 1.5.18 =

- Fix bug for product variation

= 1.5.17 =

- Refresh login token cron

= 1.5.16 =

- Add trade register registration number

= 1.5.15 =

- Fix bug when sync all products stock

= 1.5.14 =

- Fix bug when order has company customer

= 1.5.13 =

- Fix bug when sync order which has been already sync

= 1.5.12 =

- Fix bug on sync product stock in bulk

= 1.5.11 =

- Add awb number and tracking url in orders table

= 1.5.10 =

- Check if all products on order are virtual

= 1.5.9 =

- Fixed a bug on stock update

= 1.5.8 =

- Update stock management

= 1.5.7 =

- Change logic for products stock update

= 1.5.6 =

- Fix orders automatically fulfillment

= 1.5.5 =

- Change product stock only if we have a reception

= 1.5.4 =

- Add select channel setting

= 1.5.3 =

- Send Ordered Date in GMT+0 Format

= 1.5.2 =

- Fixing a bug that interfered with virtual product sync

= 1.5.1 =

- Bug fixing products synchronization

= 1.5.0 =

- Improve order and product sync

= 1.4.20 =

- Fix bug automatically fulfillment

= 1.4.19 =

- Manage stock by warehouse

= 1.4.18 =

- Fix bug authentication

= 1.4.17 =

- Bug fixing products synchronization

= 1.4.16 =

- Fix transport tax rounding bug in certain situations

= 1.4.15 =

- Change login form

= 1.4.14 =

- Fix auto fulfill token expire
- Fix order status sync on UI

= 1.4.13 =

- Synced status changes

= 1.4.12 =

- Can now sync existing products as well.
- Fix handle variations of products

= 1.4.11 =

- Fix discount bug

= 1.4.10 =

- Logo and cover on the plugin WordPress page
- Change plugin title and tags

= 1.4.9 =

- Frisbo inventory status:
- ☑️ - Synced
- ❌ - Not synced

= 1.4.8 =

- Synchronizing orders adds price directly with vat

= 1.4.7 =

- Added tax to discount

= 1.4.6 =

- Change description and instalation text

= 1.4.5 =

- Stable
- Fix discount bug

= 1.4.4 =

- added assets in tags

= 1.4.3 =

- fixed js file path

= 1.4.2 =

- added VAT taxes on products
- added VAT taxes on shipping cost
- add is_manual flag if order has bacs as payment method

= 1.4.1 =

- added shipping cost as virtual product

= 1.4.0 =

- Stable
- updated headers

= 1.3 =

- Stable
- added cash_on_delivery setting for order sync

= 1.1.1 =

- fixed addresses on sync
- added payment method

= 1.1 =

- added function prefixes

= 1.0 =

- Stable
- Basic onboarding process with Frisbo E-fulfillment
