<?php

namespace Frisbo\WooCommerce;

use Monolog\Formatter\LineFormatter;
use Monolog\Logger;
use Psr\Log\AbstractLogger;
use Monolog\Handler\StreamHandler;

class FrisboLogger extends AbstractLogger
{
    /**
     * A simple descriptive name for the logging channel that is attached to all log records
     */
    const NAME = 'frisbo';

    /**
     * Log file path
     */
    const LOG_PATH = FRISBO_PATH . '/frisbo.log';

    private $logger;

    public function __construct()
    {
        $this->logger = new Logger(self::NAME);

        $handler = new StreamHandler(self::LOG_PATH, Logger::INFO);
        $formatter = new LineFormatter(LineFormatter::SIMPLE_FORMAT, "Y-m-d H:i:s e");
        $formatter->ignoreEmptyContextAndExtra(true);
        $handler->setFormatter($formatter);

        $this->logger->pushHandler($handler);
    }

    public function log($level, $message, array $context = [])
    {
        $this->logger->log($level, $message, $context);
    }
}
