/**
 * FRISBO plugin Saving process
 */

(function ($) {
    $(document).on("click", ".wrapper-prevent-default", function (e) {
        e.stopPropagation();
    });
    $(document).on("click", ".frisbo-buttons .btn", function (e) {
        $(this).children(".spinner-border").addClass("spinner-border-active");
    });

    $(document).on("click", ".frisbo-fields-title", function (e) {
        $(".frisbo-fields").slideToggle("slow");
    });

    /* SAVE CREDENTIALS DATA */
    $(document).on("submit", "#frisbo-login", function (e) {
        e.preventDefault();

        $(this).append(
            '<input type="hidden" name="action" value="frisbo_login" />'
        );
        $(this).append(
            '<input type="hidden" name="security" value="' +
                frisbo_exchanger._nonce +
                '" />'
        );

        // We make our call
        $.ajax({
            url: frisbo_exchanger.ajax_url,
            type: "post",
            data: $(this).serialize(),
            success: function (response) {
                if (response.success === false) {
                    $(".frisbo-buttons .spinner-border").removeClass(
                        "spinner-border-active"
                    );
                    $(".frisbo-error").addClass("frisbo-error-active");
                    $(".frisbo-error .alert").text(response.data);
                    return;
                }
                location.reload();
            },
        });
    });

    /* SAVE PLUGIN SETTINGS DATA */
    $(document).on("submit", "#frisbo-form", function (e) {
        e.preventDefault();

        $(this).append(
            '<input type="hidden" name="action" value="frisbo_update_plugin_settings" />'
        );
        $(this).append(
            '<input type="hidden" name="security" value="' +
                frisbo_exchanger._nonce +
                '" />'
        );

        // We make our call
        $.ajax({
            url: frisbo_exchanger.ajax_url,
            type: "post",
            data: $(this).serialize(),
            success: function (response) {
                if (response.success === false) {
                    $(".frisbo-buttons .spinner-border").removeClass(
                        "spinner-border-active"
                    );
                    $(".frisbo-error").addClass("frisbo-error-active");
                    $(".frisbo-error .alert").text(response.data);
                    return;
                }
                location.reload();
            },
        });
    });

    /* SYNC ALL ORDERS */
    $(document).on("click", "#frisboLogout", function (event) {
        event.preventDefault();

        var data = {
            action: "frisbo_logout",
        };

        $.post(ajaxurl, data).done(function (s) {
            location.reload();
        });
    });

    /* SYNC ALL ORDERS */
    $(document).on("click", "#syncAllOrders", function (event) {
        event.preventDefault();

        $("#syncAllOrders").prop("value", "Processing...");
        $("#syncAllOrders").prop("disabled", true);

        var data = {
            action: "frisbo_sync_orders",
        };

        $.post(ajaxurl, data, function (response) {
            console.log("Got this from the server: " + response);
        }).done(function (s) {
            $("#syncAllOrders").prop("value", "Sync orders");
            $("#syncAllOrders").prop("disabled", false);
            location.reload();
        });
    });

    /* SYNC ALL ORDERS STATUS */
    $(document).on("click", "#syncStatus", function (event) {
        event.preventDefault();

        $("#syncStatus").prop("value", "Processing...");
        $("#syncStatus").prop("disabled", true);

        var data = {
            action: "frisbo_sync_status",
        };

        $.post(ajaxurl, data, function (response) {
            console.log("Got this from the server: " + response);
        }).done(function (s) {
            $("#syncStatus").prop("value", "Sync status");
            $("#syncStatus").prop("disabled", false);
            location.reload();
        });
    });

    /* SYNC ALL PRODUCTS */
    $(document).on("click", "#syncAllProducts", function (event) {
        event.preventDefault();

        $("#syncAllProducts").prop("value", "Processing...");
        $("#syncAllProducts").prop("disabled", true);

        var data = {
            action: "frisbo_sync_products",
        };

        $.post(ajaxurl, data, function (response) {
            console.log("Got this from the server: " + response);
        }).done(function (s) {
            $("#syncAllProducts").prop("value", "Sync products");
            $("#syncAllProducts").prop("disabled", false);
            location.reload();
        });
    });

    /* SYNC ALL PRODUCT STOCK */
    $(document).on("click", "#syncStock", function (event) {
        event.preventDefault();

        $("#syncStock").prop("value", "Processing...");
        $("#syncStock").prop("disabled", true);

        var data = {
            action: "frisbo_sync_stock",
        };

        $.post(ajaxurl, data, function (response) {
            console.log("Got this from the server: " + response);
        }).done(function (s) {
            $("#syncStock").prop("value", "Sync stock");
            $("#syncStock").prop("disabled", false);
            location.reload();
        });
    });

    $(document).on("click", ".sync_order_manually", function (event) {
        event.preventDefault();

        var data = {
            action: "frisbo_sync_order_manually",
        };
        //
        $.post(ajaxurl, data, function (response) {
            console.log("Got this from the server: " + response);
        }).done(function (s) {
            location.reload();
        });
    });

    $(document).ready(function (e) {
        if (isToggledAdvancedSettings()) {
            $("#collapseAdvancedSettings").addClass("show");
        }
    });

    $(document).on(
        "click",
        ".frisbo-advanced-settings .frisbo-fields-title",
        function (e) {
            if (isToggledAdvancedSettings()) {
                document.cookie = cookieName + "=true";
                return;
            }
            document.cookie = cookieName + "=false";
        }
    );
})(jQuery);

const cookieName = "toggled_frisbo_advanced_settings";

function isToggledAdvancedSettings() {
    const cookie = document.cookie
        .split("; ")
        .find((row) => row.startsWith(cookieName));
    if (cookie == undefined) {
        return true;
    }
    const cookieValue = cookie.split("=")[1];
    if (cookieValue == "false") {
        return true;
    }
    if (cookieValue == "true") {
        return false;
    }
}
